--- 0 ---
EXECUTE BLOCK
AS
BEGIN
  IF (EXISTS(SELECT 1 FROM RDB$RELATIONS WHERE RDB$RELATION_NAME = UPPER('TMP_EDGE_PRICE_KRAVETS') )) THEN
    EXECUTE STATEMENT 'DROP TABLE TMP_EDGE_PRICE_KRAVETS';
END;
COMMIT;

---1---
CREATE TABLE TMP_EDGE_PRICE_KRAVETS (
  ID_MORION TINTEGER,
  ID_DRUG TINTEGER,
  PRICE_EDGE_RETAIL TDOUBLE);
COMMIT;
COMMENT ON TABLE TMP_EDGE_PRICE_KRAVETS IS ' .
       340
 32-33 ';
COMMIT;

---2---
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44300, 3.9);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (30649, 4.07);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (56133, 4.3);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (51977, 4.63);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (83849, 5.08);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (63184, 5.67);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44303, 6.38);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (65950, 8.15);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (83850, 9.1);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (72536, 9.12);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (94606, 9.46);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (101789, 11.32);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (65951, 14.07);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (98565, 14.63);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (80193, 17.66);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (145727, 18.35);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (74821, 18.66);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (49624, 26.23);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (46544, 26.67);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (80191, 28.35);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (138406, 30.83);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (75945, 33.48);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (145641, 40.3);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (49626, 41.58);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (84192, 44.55);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (153411, 68.2);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (153413, 116.87);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (113608, 85.46);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62437, 25.38);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (49975, 25.45);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (49980, 33.1);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (64221, 33.55);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (65976, 46.26);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (64222, 70.01);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (41178, 72.12);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (136128, 29.6);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (136130, 43.48);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (81809, 56.95);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (81810, 111);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (81811, 200.75);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (153430, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (75688, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (105859, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (64137, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44857, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (86161, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44218, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (21070, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (25515, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44858, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (153434, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (47822, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (157656, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (25514, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (133670, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (77308, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112192, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (105857, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (98564, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (157655, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (31086, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112195, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (21069, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112188, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (86136, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (133669, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (1435, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (105767, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (28949, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (74025, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (13301, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (54292, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (115212, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (64114, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (108532, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (32514, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (105766, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (71435, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (28947, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (54533, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (77311, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (118523, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (86133, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (108531, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (54290, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (98846, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (86130, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (64112, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (71433, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (137322, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (72887, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (9897, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (51979, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (71431, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44216, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (4710, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (55414, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (12636, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (126345, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (95900, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (4711, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (3875, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (48298, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (126346, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (95901, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (110195, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (4712, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (35995, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (174706, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (48301, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (126347, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (54535, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (35996, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (138405, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (138888, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62482, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (160194, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (97118, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (79747, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (79748, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (75916, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (138889, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62484, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62485, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (115215, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (115216, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (160195, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (97119, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (79750, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (138407, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (75912, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (75913, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (31469, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (31470, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (82455, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (36926, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (19734, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (149218, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (141597, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (110918, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112539, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (102748, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (68651, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (68652, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (114691, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (135100, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66252, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (82457, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (36924, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (19735, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (149219, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (141599, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (110921, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112542, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (102750, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (68658, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (68654, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (103472, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112627, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (36582, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (92329, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (135101, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66253, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (82459, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (61295, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (36925, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (19736, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (149220, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (113154, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (141603, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (110924, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112545, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (68657, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (68656, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (103474, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (112628, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (49985, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (135102, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66254, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44859, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (158383, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (47821, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (56265, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (84193, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (31735, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (154846, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66126, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (49620, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (110118, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (90840, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44968, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (55970, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (29086, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (26540, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (141038, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66682, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66685, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (99556, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (99557, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (56263, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (158387, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (46828, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (154844, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (110119, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (105754, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (44967, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (94947, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (29087, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (26542, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (141039, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (99558, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (99559, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (66683, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (57012, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (39124, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62438, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (23135, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (5673, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62439, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (62440, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (5266, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (124047, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (27947, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (89956, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (89960, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (89958, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (83110, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (52416, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (5670, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (74774, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (61791, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (5694, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (104952, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (46815, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (28950, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (52414, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (137666, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (74773, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (103479, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (104953, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (104954, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (75686, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (145667, 0);
INSERT INTO TMP_EDGE_PRICE_KRAVETS (ID_MORION, PRICE_EDGE_RETAIL) VALUES (90444, 0);
COMMIT;

---3---
UPDATE TMP_EDGE_PRICE_KRAVETS TEP
SET TEP.ID_DRUG = (SELECT MD.ID FROM M_DRUG MD WHERE MD.ID_MORION = TEP.ID_MORION);
COMMIT;

---4---
EXECUTE BLOCK
AS
  DECLARE VARIABLE ID_REVAL             BIGINT;
  DECLARE VARIABLE ID_PARSEL            BIGINT;
  DECLARE VARIABLE PRICE_SELL_SUM       DOUBLE PRECISION;
  DECLARE VARIABLE ID_STRUCTURE         BIGINT;
BEGIN
 SELECT ID_STRUCTURE FROM SYS_VAR INTO :ID_STRUCTURE;

  INSERT INTO D_REVAL (
    ID_STRUCTURE,
    USER_NOTE)
  VALUES (:ID_STRUCTURE, '  340 ')
  RETURNING ID INTO :ID_REVAL;

  FOR
    SELECT
      DS.ID_PARSEL,
        CASE
          WHEN TRUNC((DS.PRICE_BUY_SUM * 1.25), 2) >= TEP.PRICE_EDGE_RETAIL THEN (TEP.PRICE_EDGE_RETAIL - 0.01)
          ELSE TRUNC((DS.PRICE_BUY_SUM * 1.25), 2)
        END AS
      PRICE_SELL_SUM
    FROM DA_STOCK DS
      JOIN TMP_EDGE_PRICE_KRAVETS TEP ON TEP.ID_DRUG = DS.ID_DRUG
    WHERE DS.ID_STRUCTURE = :ID_STRUCTURE
    AND DS.QUANT_INT + DS.QUANT_NUM > 0
    AND TEP.PRICE_EDGE_RETAIL > 0
               
    INTO
    :ID_PARSEL,
    :PRICE_SELL_SUM

  DO
  BEGIN
    INSERT INTO D_REVAL_ITEM(
      ID_REVAL,
      ID_PARSEL,
      PRICE_SELL_SUM)
    VALUES (
      :ID_REVAL,
      :ID_PARSEL,
      :PRICE_SELL_SUM);
  END
END;
COMMIT;
